Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.math.xml
Class MathMLFormatter

    java.lang.Object
      ru.biosoft.math.xml.MathMLFormatter

All Implemented Interfaces:
  Formatter

public class MathMLFormatter
extends java.lang.Object
implements Formatter

Field Summary
`protected org.w3c.dom.Document` | `doc`
`protected java.util.Hashtable` | `mathSignsMap`
`protected ParserContext` | `parserContext`

Constructor Summary
`MathMLFormatter()`

Method Summary
`protected void` | `createDocument()`
`protected java.lang.String` | `dom2String()`
`protected void` | `fillMathSignsMap()`
`java.lang.String[]` | `format(AstStart start)`
`void` | `format(AstStart start, org.w3c.dom.Node parent, org.w3c.dom.Document document)`
`ParserContext` | `getParserContext()`
`protected void` | `processConstant(AstConstant constant, org.w3c.dom.Node parent)`
`protected void` | `processFunction(AstFunNode astFunc, org.w3c.dom.Node parent)`
`protected void` | `processFunctionDeclaration(AstFunctionDeclaration astFuncDecl, org.w3c.dom.Node parent)`
`protected void` | `processNode(Node astNode, org.w3c.dom.Node parent)`
`protected void` | `processPiece(AstPiece piece, org.w3c.dom.Node parent)`
`protected void` | `processPiecewise(AstPiecewise pw, org.w3c.dom.Node parent)`
`protected void` | `processStartNode(AstStart start, org.w3c.dom.Node parent)`
`protected void` | `processVariable(AstVarNode var, org.w3c.dom.Node parent)`
`void` | `setParserContext(ParserContext parserContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### doc

    protected org.w3c.dom.Document doc

### mathSignsMap

    protected java.util.Hashtable mathSignsMap

### parserContext

    protected ParserContext parserContext

Constructor Detail

### MathMLFormatter

    public MathMLFormatter()

Method Detail

### getParserContext

    public ParserContext getParserContext()

### setParserContext

    public void setParserContext(ParserContext parserContext)

### format

    public java.lang.String[] format(AstStart start)

  Specified by:
    `format` in interface `Formatter`

### format

    public void format(AstStart start,
                       org.w3c.dom.Node parent,
                       org.w3c.dom.Document document)

### processStartNode

    protected void processStartNode(AstStart start,
                                    org.w3c.dom.Node parent)

### processNode

    protected void processNode(Node astNode,
                               org.w3c.dom.Node parent)

### processPiecewise

    protected void processPiecewise(AstPiecewise pw,
                                    org.w3c.dom.Node parent)

### processPiece

    protected void processPiece(AstPiece piece,
                                org.w3c.dom.Node parent)

### processConstant

    protected void processConstant(AstConstant constant,
                                   org.w3c.dom.Node parent)

### processVariable

    protected void processVariable(AstVarNode var,
                                   org.w3c.dom.Node parent)

### processFunction

    protected void processFunction(AstFunNode astFunc,
                                   org.w3c.dom.Node parent)

### processFunctionDeclaration

    protected void processFunctionDeclaration(AstFunctionDeclaration astFuncDecl,
                                              org.w3c.dom.Node parent)

### createDocument

    protected void createDocument()

### dom2String

    protected java.lang.String dom2String()

### fillMathSignsMap

    protected void fillMathSignsMap()

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.